package com.ricerocks;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.graphics.FPSLogger;
import com.ricerocks.screens.MenuScreen;
import com.ricerocks.screens.PlayScreen;
import com.ricerocks.screens.SplashScreen;

public class RiceRocks extends Game {
	public static final String LOG = RiceRocks.class.getSimpleName();
	private FPSLogger fpsLogger;

	// SCREEN METHOD
	public SplashScreen getSplashScreen() {
		return new SplashScreen(this);
	}

	public MenuScreen getMenuScreen() {
		return new MenuScreen(this);
	}

	public PlayScreen getPlayScreen() {
		return new PlayScreen(this);
	}

	// GAME METHOD
	@Override
	public void create() {
		Gdx.app.log(RiceRocks.LOG, "Creating game");
		fpsLogger = new FPSLogger();
		setScreen(getSplashScreen());
	}

	@Override
	public void resize(int width, int height) {
		super.resize(width, height);
		Gdx.app.log(RiceRocks.LOG, "Resizing game to: " + width + " x " + height);
	}

	@Override
	public void render() {
		super.render();
		fpsLogger.log();
	}

	@Override
	public void pause() {
		super.pause();
		Gdx.app.log(RiceRocks.LOG, "Pausing game");
	}

	@Override
	public void resume() {
		super.resume();
		Gdx.app.log(RiceRocks.LOG, "Resuming game");
	}

	@Override
	public void setScreen(Screen screen) {
		super.setScreen(screen);
		Gdx.app.log(RiceRocks.LOG, "Setting screen: " + screen.getClass().getSimpleName());
	}

	@Override
	public void dispose() {
		super.dispose();
		Gdx.app.log(RiceRocks.LOG, "Disposing game");
	}
}