package com.ricerocks.screens;

import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.math.Rectangle;
import com.ricerocks.RiceRocks;

public class MenuScreen extends AbstractScreen {

	private Texture backgroundImage, startImage;
	private Rectangle startpanel;
	private OrthographicCamera camera;

	public MenuScreen(RiceRocks game) {
		super(game);
	}

	@Override
	public void resize(int width, int height) {
		super.resize(width, height);
		stage.clear();
	}

	@Override
	public void show() {
		super.show();

		camera = new OrthographicCamera();
		camera.setToOrtho(false, GAME_WIDTH, GAME_HEIGHT);
		backgroundImage = new Texture("data/nebula_blue.png");
		startImage = new Texture("data/mnuBtn.png");
		startpanel = new Rectangle();
		startpanel.width = startImage.getWidth();
		startpanel.height = startImage.getHeight();
		startpanel.x = (GAME_WIDTH - startImage.getWidth()) / 2;
		startpanel.y = (GAME_HEIGHT - startImage.getHeight()) / 2;
	}

	@Override
	public void render(float delta) {
		super.render(delta);

		camera.update();
		batch.setProjectionMatrix(camera.combined);
		batch.begin();
		batch.draw(backgroundImage, 0, 0, 800, 480);
		batch.draw(startImage, startpanel.x, startpanel.y);
		batch.end();
	}

	@Override
	public boolean touchUp(int x, int y, int pointer, int button) {
		game.setScreen(game.getPlayScreen());
		return false;
	}
}
